<template>
  <div class="enterprise">
    <div class="title">
      <span>三资管理</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div id="enterpriseCharts"></div>
      <div class="label_box">
        <div class="label">
          <div class="grade_box">
            <div class="grade">
              <i>{{ val1 }}</i>
              <p>凭证总数</p>
            </div>
            <div class="grade">
              <i>{{ val2 }}</i>
              <p>经营性资产总数</p>
            </div>
            <div class="grade">
              <i>{{ val3 }}</i>
              <p>资源总数</p>
            </div>
            <div class="grade">
              <i>{{ val4 }}</i>
              <p>合同总数</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      val1: null,
      val2: null,
      val3: null,
      val4: null,
    };
  },
  //方法集合
  methods: {
    async drawoption() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/total_ecnomic/totalEcnomic/queryall"
      );
      var valueData = dt.result;
      for (var i in valueData) {
        if (valueData[i].name == "凭证总数") {
          this.val1 = valueData[i].value;
        } else if (valueData[i].name == "经营性资产总数") {
          this.val2 = valueData[i].value;
        } else if (valueData[i].name == "资源总数") {
          this.val3 = valueData[i].value;
        } else if (valueData[i].name == "合同总数") {
          this.val4 = valueData[i].value;
        }
      }
    },
    async drawLine() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/street_ecnomic/streetEcnomic/queryall"
      );
      var valueData = dt.result;
      var value1 = [];
      var value2 = [];
      var value3 = [];
      for (var i in valueData) {
        value1.push(valueData[i].street);
        value2.push(parseFloat(valueData[i].income));
        value3.push(parseFloat(valueData[i].output));
      }
      let Chart = this.$echarts.init(
        document.getElementById("enterpriseCharts")
      );
      var xData = value1;

      let option = {
        legend: {
          data: ["企业数", "装置数"],
          right: "0%",
          top: 0,
          itemWidth: 16.7,
          itemHeight: 7.6,
          type: "plain",
          textStyle: {
            color: "RGBA(154, 209, 253, 1)",
          },
        },
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "shadow",
            textStyle: {
              color: "#fff",
            },
          },
        },
        grid: {
          borderWidth: 0,
          top: 100,
          bottom: 100,
          left: 55,
          right: 45,
          textStyle: {
            color: "#fff",
          },
        },
        calculable: true,
        xAxis: [
          {
            type: "category",
            axisLine: {
              lineStyle: {
                color: "rgba(255,255,255,.5)",
              },
            },
            splitLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            splitArea: {
              show: false,
            },
            axisLabel: {
              interval: 0,
              color: "#fff",
              fontSize: 10,
              formatter: function (value) {
                return value.split("").join("\n");
              },
            },
            data: xData,
          },
        ],
        yAxis: [
          {
            // name: "工单量",
            // nameTextStyle: {
            //   color: "#FDFDFD",
            //   padding: [0, 0, 0, -50],
            // },
            nameGap: 15,
            type: "value",
            splitLine: {
              show: true,
              lineStyle: {
                type: "dashed",
                color: "RGBA(3, 75, 97, 1)",
              },
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              interval: 0,
              color: "#fff",
              fontSize: 10,
            },
            splitArea: {
              show: false,
            },
          },
          {
            // name: "完单率",
            // nameTextStyle: {
            //   color: "#FDFDFD",
            //   padding: [0, 0, 0, 35],
            // },
            type: "value",
            splitLine: {
              show: false,
            },
            min: 0,
            axisLabel: {
              interval: 0,
              color: "#fff",
              fontSize: 15,
              formatter: "{value}%",
            },
          },
        ],
        series: [
          {
            name: "企业数",
            type: "bar",
            stack: "1",
            barMaxWidth: 15,
            barGap: "10%",
            itemStyle: {
              normal: {
                color: {
                  type: "linear",
                  x: 0,
                  y: 0,
                  x2: 0,
                  y2: 1,
                  colorStops: [
                    {
                      offset: 0,
                      color: "#2764CA", // 0% 处的颜色
                    },
                    {
                      offset: 1,
                      color: "#6D9EEE", // 100% 处的颜色
                    },
                  ],
                  global: false, // 缺省为 false
                },
                opacity: 1,
              },
            },
            data: value2,
          },

          {
            name: "装置数",
            type: "bar",
            stack: "1",
            barMaxWidth: 15,
            barGap: "10%",
            itemStyle: {
              normal: {
                color: {
                  type: "linear",
                  x: 0,
                  y: 0,
                  x2: 0,
                  y2: 1,
                  colorStops: [
                    {
                      offset: 0,
                      color: "#FFC130", // 0% 处的颜色
                    },
                    {
                      offset: 1,
                      color: "#FFDB68", // 100% 处的颜色
                    },
                  ],
                  global: false, // 缺省为 false
                },
                opacity: 1,
              },
            },
            data: value3,
          },
        ],
      };
      // 绘制图表
      Chart.setOption(option);
    },
  },
  mounted() {
    this.drawoption();
    this.drawLine();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.enterprise {
  overflow: hidden;
  height: 50%;
  background: rgba(8, 32, 58, 0.7);
  box-sizing: border-box;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    height: calc(100% - 100px);
    #enterpriseCharts {
      width: 100%;
      height: 50%;
    }
    .label_box {
      width: 100%;
      height: 50%;
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      .title {
        padding-top: 34px;
        font-size: 60px;
        font-weight: 400;
        color: #ffffff;
        text-align: center;
        i {
          font-size: 60px;
          color: rgba(254, 220, 133, 1);
        }
      }
      .label {
        width: 100%;
        height: calc(100% - 100px);
        background: rgba(17, 58, 120, 0.26);

        .grade_box {
          padding: 0 30px;
          display: flex;
          justify-content: space-between;
          flex-wrap: wrap;
          .grade {
            width: 234px;
            height: 234px;
            background: url("../../../assets/img/色相／饱和度 661.png")
              no-repeat center;
            background-size: 100% 100%;
            animation: Updown 1s infinite alternate;
            position: relative;
            i {
              font-weight: 400;
              color: #ffffff;
              font-size: 68px;
              position: absolute;
              left: 50%;
              top: 50%;
              transform: translate(-50%, -50%);
            }
            p {
              font-size: 38px;
              font-weight: 400;
              color: #ffffff;
              position: absolute;
              left: 50%;
              bottom: -25%;
              transform: translateX(-50%);
            }
          }
          .grade:nth-child(2) {
            background: url("../../../assets/img/橙色气泡.png") no-repeat center;
            background-size: 100% 100%;
            animation: Updown1 1s infinite alternate;
          }
          .grade:nth-child(3) {
            background: url("../../../assets/img/蓝色气泡.png") no-repeat center;
            background-size: 100% 100%;
            animation: Updown2 1s infinite alternate;
          }
          .grade:nth-child(4) {
            background: url("../../../assets/img/绿色气泡.png") no-repeat center;
            background-size: 100% 100%;
            animation: Updown3 1s infinite alternate;
          }
        }
      }
    }
  }
}
@keyframes Updown {
  from {
    margin-top: 100px;
  }
  to {
    margin-top: 50px;
  }
}
@keyframes Updown1 {
  from {
    margin-top: 200px;
  }
  to {
    margin-top: 100px;
  }
}
@keyframes Updown2 {
  from {
    margin-top: 50px;
  }
  to {
    margin-top: 10px;
  }
}
@keyframes Updown3 {
  from {
    margin-top: 10px;
  }
  to {
    margin-top: 100px;
  }
}
@media only screen and (max-width: 2560px) {
  .enterprise {
    height: auto;
    overflow: visible;
    background: transparent;
    .content {
      // height: calc(100% - 100px);
      height: auto;
      #enterpriseCharts {
        height: 2400px;
      }
      .label_box {
        height: 1200px;
        .label {
          .grade_box {
            .grade {
              width: calc(234px * 2);
              height: calc(234px * 2);
            }
          }
        }
      }
    }
  }
}
</style>
